# EuropeanHealthInsuranceCardIssuingCountry enum

European Health Insurance Card (EHIC) issuing country.

Inheritance
  - Object
  - Enum
  - EuropeanHealthInsuranceCardIssuingCountry
Available extensions
  - EnumName

## Values

AUSTRIA → const EuropeanHealthInsuranceCardIssuingCountry

  Austria (Validation on the personal identification number is performed as described in "site:www.sozialversicherung.at Was ist die Versicherungsnummer?").

BELGIUM → const EuropeanHealthInsuranceCardIssuingCountry

  Belgium.

BULGARIA → const EuropeanHealthInsuranceCardIssuingCountry

  Bulgaria.

CROATIA → const EuropeanHealthInsuranceCardIssuingCountry

  Croatia.

CYPRUS → const EuropeanHealthInsuranceCardIssuingCountry

  Cyprus.

CZECH_REPUBLIC → const EuropeanHealthInsuranceCardIssuingCountry

  Czech Republic.

DENMARK → const EuropeanHealthInsuranceCardIssuingCountry

  Denmark.

ESTONIA → const EuropeanHealthInsuranceCardIssuingCountry

  Estonia.

FINLAND → const EuropeanHealthInsuranceCardIssuingCountry

  Finland.

FRANCE → const EuropeanHealthInsuranceCardIssuingCountry

  France.

GERMANY → const EuropeanHealthInsuranceCardIssuingCountry

  Germany (Validation performed according to "Spezifikation für Musterkarten und Testkarten (eGK, HBA, SMC), Anhang A" and "GS1 Struktur der Kenn-Nummer (ICCSN) der elektronischen Gesundheitskarte").

GREECE → const EuropeanHealthInsuranceCardIssuingCountry

  Greece.

HUNGARY → const EuropeanHealthInsuranceCardIssuingCountry

  Hungary.

IRELAND → const EuropeanHealthInsuranceCardIssuingCountry

  Ireland.

ITALY → const EuropeanHealthInsuranceCardIssuingCountry

  Italy.

LATVIA → const EuropeanHealthInsuranceCardIssuingCountry

  Latvia.

LITHUANIA → const EuropeanHealthInsuranceCardIssuingCountry

  Lithuania.

LUXEMBOURG → const EuropeanHealthInsuranceCardIssuingCountry

  Luxembourg.

MALTA → const EuropeanHealthInsuranceCardIssuingCountry

  Malta.

NETHERLANDS → const EuropeanHealthInsuranceCardIssuingCountry

  Netherlands.

POLAND → const EuropeanHealthInsuranceCardIssuingCountry

  Poland.

PORTUGAL → const EuropeanHealthInsuranceCardIssuingCountry

  Portugal.

ROMANIA → const EuropeanHealthInsuranceCardIssuingCountry

  Romania.

SLOVAKIA → const EuropeanHealthInsuranceCardIssuingCountry

  Slovakia.

SLOVENIA → const EuropeanHealthInsuranceCardIssuingCountry

  Slovenia.

SPAIN → const EuropeanHealthInsuranceCardIssuingCountry

  Spain.

SWEDEN → const EuropeanHealthInsuranceCardIssuingCountry

  Sweden.

SWITZERLAND → const EuropeanHealthInsuranceCardIssuingCountry

  Switzerland.

## Properties

hashCode → int
  The hash code for this object.
  no setter inherited
index → int
  A numeric identifier for the enumerated value.
  no setter inherited
name → String

  Available on Enum, provided by the EnumName extension

  The name of the enum value.
  no setter
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<EuropeanHealthInsuranceCardIssuingCountry>
  A constant List of the values in this enum, in order of their declaration.